#include "triangles.h"
#include <iostream>
#include <vector>
#include <set>
using namespace std;
vector<vector<int>> solve(int n) {
    // Example of compare:
    // Пример использования функции compare
    set<vector<int>> ans;
    for (int i = 0; i < n; i++) {
        for (int j = i + 1; j + 1 < n; j++) {
            int ans = j + 1;
            for (int k = j + 2; k < n; k++) {
                if (compare({Triangle(i, j, ans)}, {Triangle(i, j, k)}) == -1) {
                    ans = k;
                }
            }
            ans.insert({i, j, k});
        }
    }
    vector<vector<int>> ret;
    for (auto &i : ans) {
        ret.push_back(i);
    }
    
    return ret;
    // compare_result should be equal to 0.
    // compare_result будет равняться нулю, так как сравнивались одинаковые треугольники.
    
    // Example of return:
    // Пример возвращаемого значения:

}
